POST api/witnessapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
WitnessViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| date_hu | date |
None. |
|
| local_update | date |
None. |
|
| site_id | globally unique identifier |
Required |
|
| status | integer |
None. |
|
| wash_count | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "97e807d1-6377-4d75-ab58-ee8bbf933ef8",
"date_hu": "2026-03-11T12:02:21.0350763+00:00",
"local_update": "2026-03-11T12:02:21.0350763+00:00",
"site_id": "f2b0f3f7-e79a-4e6b-b2cf-9ed1e07983e1",
"status": 1,
"wash_count": 1
}
application/xml, text/xml
Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <date_hu>2026-03-11T12:02:21.0350763+00:00</date_hu> <id>97e807d1-6377-4d75-ab58-ee8bbf933ef8</id> <local_update>2026-03-11T12:02:21.0350763+00:00</local_update> <site_id>f2b0f3f7-e79a-4e6b-b2cf-9ed1e07983e1</site_id> <status>1</status> <wash_count>1</wash_count> </witness>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"d4bfadf4-427c-4fdc-9121-5b0a77daad33"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d4bfadf4-427c-4fdc-9121-5b0a77daad33</guid>